For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAccept EOR project assignment as client
      • GETFetch EOR project assignment PDF
      • GETFetch Project Assignment Checkin Questionnaire Data
      • POSTSubmit Project Assignment Checkin Questionnaire Data
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Project Assignment

Accept EOR project assignment as client

POST
/eor/contracts/:contract_id/project-assignment/accept
POST
/rest/v2/eor/contracts/:contract_id/project-assignment/accept
$curl -X POST https://api.letsdeel.com/rest/v2/eor/contracts/m623fez/project-assignment/accept \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "data": {
> "version": "e374540fc9a92390f9a12"
> }
> }
>}'
1{}

Records client approval of a project assignment for an EOR contract, confirming that the terms have been reviewed and accepted. Token scopes: contracts:write

Was this page helpful?
Previous

Fetch EOR project assignment PDF

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Request

This endpoint expects an object.
dataobjectOptional

Response

The project assignment was accepted successfully.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication